import { ImageBackground, StatusBar, Text } from "react-native";
import * as React from "react";
import { Logo } from "../ikonlar";
import Search from "../search";
import Box from "./box";
import kirmizi from "../resim/kirmizi.jpg";
import SafeAreaView from "react-native-safe-area-view";
import { useFocusEffect } from "@react-navigation/native";
function SearchEkrani({}) {
  const [isSearchFocus, setSearchFocus] = React.useState(false);

  useFocusEffect(
    React.useCallback(() => {
      StatusBar.setBarStyle("light-content"), [];
    })
  );
  return (
    <Box as={SafeAreaView} bg="red" flex={1}>
      <StatusBar barStyle="light - content" />

      {/*baslık*/}
      <Box position="relative" zIndex={1} height={285}>
        <Box
          as={ImageBackground}
          source={kirmizi}
          style={{ width: "100%", height: "100%" }}
        >
          {/* logo */}
          <Box flex={1} alignItems="center" justifyContent="center">
            <Logo width={120} color="white" />
          </Box>
          {/*arama*/}
          <Box p={16} mb={-42}>
            <Search onChangeFocus={(status) => setSearchFocus(status)} />
          </Box>
        </Box>
      </Box>
      <Box flex={1} bg="white" pt={26}>
        <Box flex={1} p={30}>
          <Text>Merhaba</Text>
        </Box>
      </Box>
    </Box>
  );
}

export default SearchEkrani;
